AUTOPKGTEST-VIRT-QEMU+ROCM(1)

NAME
autopkgtest-virt-qemu+rocm - autopkgtest-virt-qemu+rocm

DESCRIPTION
autopkgtest QEMU backend with support for AMD GPU pass-through

This is a thin wrapper around autopkgtest-virt-qemu(1).

By default, all AMD GPUs assigned to vfio-pci are passed through. This can be overridden with --gpu, which can be specified multiple times [NOTE: multi-GPU is untested as of yet]. By default, the VM will be allocated 75% of the host's cores, and 75% of the host's memory.

All other options on the command line are passed on directly to autopkgtest-virt-qemu, so the reader is referred to its man page. For example, use --ram-size or --cpus to deviate from the 75% default mentioned above.

This will always boot an image in EFI mode. It will also always request a clean poweroff after a test (--timeout-poweroff), rather than the default of sending SIGTERM.

This utility assumes that the invoking user has all the necessary permissions required in order to effectively and efficiently operate the VM, most notably that the user has access to /dev/kvm. When in doubt, try running the script as root.

  Synopsis:

    virt/autopkgtest-virt-qemu+rocm -h

    virt/autopkgtest-virt-qemu+rocm autopkgtest [...] -- qemu+rocm [--gpu GPU] [options] image [ro-image ...]

OPTIONS

--gpu GPU
    PCI slot ID of the GPU to pass through (eg: 09:00.0). Can used multiple times.

EXAMPLES

    # Create an image first

    $ sudo rocm-qemu-create unstable.img
    $ sudo chown $USER: unstable.img

    # Run autopkgtests for src:rocrand, using packages from the Archive

    $ autopkgtest -B rocrand -- qemu+rocm unstable.img

    # Like above, but limit to the GPU in slot 09:00.0

    $ autopkgtest -B rocrand -- qemu+rocm --gpu 09:00.0 unstable.img